Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] 1.7.4rc1 build failure: another OpenBSD-5
From: Paul Hargrove (phhargrove_at_[hidden])
Date: 2013-12-20 00:27:46


Manually #ifdef'ing out the RLIMIT_AS code which lead to my previous
failure on OpenBSD-5 allows me to reach the (sigh) *next* problem:

Making all in mpi/cxx
  CXX mpicxx.lo
/home/phargrov/OMPI/openmpi-1.7.4rc2forpaul-openbsd5-amd64/openmpi-1.7.4rc2forpaul/ompi/mpi/cxx/mpicxx.cc:120:21:
error: macro "MAX" requires 2 arguments, but only 1 given
/home/phargrov/OMPI/openmpi-1.7.4rc2forpaul-openbsd5-amd64/openmpi-1.7.4rc2forpaul/ompi/mpi/cxx/mpicxx.cc:121:21:
error: macro "MIN" requires 2 arguments, but only 1 given

I think all that is needed is addition of
  #undef MAX
  #undef MIN
suitably early in this file.
At least that was sufficient to allow my build to complete.

-Paul

-- 
Paul H. Hargrove                          PHHargrove_at_[hidden]
Future Technologies Group
Computer and Data Sciences Department     Tel: +1-510-495-2352
Lawrence Berkeley National Laboratory     Fax: +1-510-486-6900